Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(330)

Issue 1410173002: Only use fontMetrics if available in line-height computation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 11 months ago by eae
Modified:
1 year, 11 months ago
Reviewers:
pdr.
CC:
chromium-reviews, blink-reviews, blink-reviews-style_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Only use fontMetrics if available in line-height computation Change ComputedStyle::computedLineHeight to check if primaryFont is non null before calling fontMetrics().lineSpacing() as metrics requires the font to have been loaded. This is a speculative fix for a top crasher. BUG=542338 R=pdr@chromium.org Committed: https://crrev.com/37e42dda0182625f8bcb7277a5802ca6fbe32890 Cr-Commit-Position: refs/heads/master@{#354686}

Patch Set 1 : #

Messages

Total messages: 13 (4 generated)
eae
1 year, 11 months ago (2015-10-16 22:42:24 UTC) #1
pdr.
On 2015/10/16 at 22:42:24, eae wrote: > Codechange LGTM. Would you be up for adding ...
1 year, 11 months ago (2015-10-16 22:52:22 UTC) #2
eae
Sadly not, haven't even been able to reproduce the problem. Going entirely by minidumps here ...
1 year, 11 months ago (2015-10-16 22:54:57 UTC) #3
pdr.
On 2015/10/16 at 22:54:57, eae wrote: > Sadly not, haven't even been able to reproduce ...
1 year, 11 months ago (2015-10-16 23:41:52 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1410173002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1410173002/20001
1 year, 11 months ago (2015-10-16 23:43:11 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/121999)
1 year, 11 months ago (2015-10-17 00:08:17 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1410173002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1410173002/20001
1 year, 11 months ago (2015-10-17 17:02:43 UTC) #11
commit-bot: I haz the power
Committed patchset #1 (id:20001)
1 year, 11 months ago (2015-10-17 18:05:58 UTC) #12
commit-bot: I haz the power
1 year, 11 months ago (2015-10-17 18:06:51 UTC) #13
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/37e42dda0182625f8bcb7277a5802ca6fbe32890
Cr-Commit-Position: refs/heads/master@{#354686}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b